package lt.bit;

import java.awt.BorderLayout;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import lt.bit.dao.CountryDAO;
import lt.bit.models.Country;

import javax.swing.JScrollPane;
import javax.swing.JList;
import javax.swing.JButton;

public class PagrindinisLangas extends JFrame {

	private JPanel contentPane;
	public JList list = new JList();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					PagrindinisLangas frame = new PagrindinisLangas();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public PagrindinisLangas() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 670, 419);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(10, 11, 451, 358);
		contentPane.add(scrollPane);
		
		
		CountryDAO countryDAO=new CountryDAO();
		list.setListData(countryDAO.getCountries().toArray());
		
		scrollPane.setViewportView(list);
		
		JButton btnRodyti = new JButton("Rodyti \u0161aly");
		btnRodyti.setBounds(471, 9, 173, 23);
		contentPane.add(btnRodyti);
		
		
		btnRodyti.addActionListener((e)->{
			RodytiSaly rodyti=new RodytiSaly(this,  (Country) list.getSelectedValue() ); 
			rodyti.setVisible(true);
		});
		
	}
}
